function FileData_Pairs(x)
{
x.t("modes","include");
x.t("modes","described");
x.t("dups_ok_acknowledge","specifies");
x.t("dups_ok_acknowledge","except");
x.t("example","explicit_client_acknowledge");
x.t("below","cases");
x.t("possible","consumer");
x.t("receiver","therefore");
x.t("defines","three");
x.t("redeliver","messages");
x.t("rather","messages");
x.t("resides","persistent");
x.t("delivery","guaranteed");
x.t("delivery","acknowledgement");
x.t("delivery","messages");
x.t("describes","steps");
x.t("build","large");
x.t("no_acknowledge","no_acknowledge");
x.t("no_acknowledge","mode");
x.t("no_acknowledge","explicit_client_acknowledge");
x.t("sending","acknowledgements");
x.t("create","durable");
x.t("inserts","thread");
x.t("currently","working");
x.t("persistent","messages");
x.t("doing","simultaneous");
x.t("guaranteed","circumstances");
x.t("handled","acknowledge");
x.t("until","convenient");
x.t("eliminated","server");
x.t("interface","specification");
x.t("mode","possible");
x.t("mode","explicit_client_acknowledge");
x.t("mode","creating");
x.t("mode","specifies");
x.t("mode","cannot");
x.t("mode","reduces");
x.t("mode","suppresses");
x.t("working","explicit_client_dups_ok_acknowledge");
x.t("basic","structure");
x.t("time","receiver");
x.t("time","meanwhile");
x.t("explicit_client_acknowledge","explicit_client_acknowledge");
x.t("explicit_client_acknowledge","explicit_client_dups_ok_acknowledge");
x.t("explicit_client_acknowledge","client_acknowledge");
x.t("explicit_client_acknowledge","used");
x.t("explicit_client_acknowledge","acknowledge");
x.t("acknowledgement","handled");
x.t("acknowledgement","interface");
x.t("acknowledgement","mode");
x.t("acknowledgement","messages");
x.t("acknowledgement","consumer");
x.t("acknowledgement","tibco");
x.t("acknowledgement","message");
x.t("acknowledgement","non-transacted");
x.t("acknowledgement","figure");
x.t("acknowledgement","received");
x.t("acknowledgement","following");
x.t("acknowledgement","server");
x.t("auto_acknowledge","specifies");
x.t("multiple","application");
x.t("automatically","acknowledge");
x.t("queue","receivers");
x.t("queue","routed");
x.t("jms","requires");
x.t("jms","fail");
x.t("jms","specification");
x.t("jms","acknowledge");
x.t("want","multiple");
x.t("fall","behind");
x.t("lazy","means");
x.t("need","client");
x.t("machine","ems");
x.t("ems","extends");
x.t("ems","server");
x.t("confirmation","acknowledgement");
x.t("confirmation","producer");
x.t("saves","time");
x.t("permitted","specify");
x.t("large","number");
x.t("duplicate","messages");
x.t("traffic","saves");
x.t("requires","message");
x.t("circumstances","figure");
x.t("delivered","far");
x.t("receipt","mode");
x.t("receipt","messages");
x.t("lazily","acknowledges");
x.t("lazily","acknowledge");
x.t("creating","session");
x.t("operation","slow");
x.t("slow","may");
x.t("unacknowledged","messages");
x.t("illustrates","basic");
x.t("session","example");
x.t("session","no_acknowledge");
x.t("session","automatically");
x.t("session","lazily");
x.t("session","configured");
x.t("session","tibco");
x.t("session","overhead");
x.t("session","described");
x.t("session","using");
x.t("receivers","queue");
x.t("sends","acknowledgement");
x.t("sends","confirmation");
x.t("sends","message");
x.t("no-acknowledge","receipt");
x.t("regarding","message");
x.t("three","levels");
x.t("receiving","messages");
x.t("thread","finishes");
x.t("allowing","better");
x.t("configured","specific");
x.t("delay","acknowledgement");
x.t("acknowledges","individual");
x.t("messages","mode");
x.t("messages","auto_acknowledge");
x.t("messages","ems");
x.t("messages","delivered");
x.t("messages","consumer");
x.t("messages","message");
x.t("messages","putting");
x.t("messages","received");
x.t("messages","server");
x.t("means","consumer");
x.t("fail","consumer");
x.t("processing","build");
x.t("processing","finished");
x.t("number","unacknowledged");
x.t("better","utilization");
x.t("software","chapter");
x.t("chapter","messages");
x.t("specifies","session");
x.t("specifies","consumer");
x.t("specifies","consumer-to-server");
x.t("may","want");
x.t("may","receive");
x.t("receive","duplicate");
x.t("cannot","used");
x.t("steps","message");
x.t("reduces","session");
x.t("client","information");
x.t("client","application");
x.t("producer","machine");
x.t("producer","message");
x.t("consumer","eliminated");
x.t("consumer","jms");
x.t("consumer","fall");
x.t("consumer","lazy");
x.t("consumer","receipt");
x.t("consumer","sends");
x.t("consumer","delay");
x.t("consumer","may");
x.t("consumer","consumer");
x.t("consumer","acknowledge");
x.t("message","rather");
x.t("message","delivery");
x.t("message","sending");
x.t("message","currently");
x.t("message","acknowledgement");
x.t("message","traffic");
x.t("message","processing");
x.t("message","client");
x.t("message","producer");
x.t("message","consumer");
x.t("message","received");
x.t("message","sent");
x.t("tibco","software");
x.t("non-transacted","sessions");
x.t("database","database");
x.t("database","insert");
x.t("finished","dups_ok_acknowledge");
x.t("sessions","client_acknowledge");
x.t("sessions","created");
x.t("routed","server");
x.t("include","no_acknowledge");
x.t("far","session");
x.t("convenient","time");
x.t("figure","illustrates");
x.t("figure","message");
x.t("specific","acknowledge");
x.t("meanwhile","server");
x.t("send","acknowledgement");
x.t("extends","jms");
x.t("explicit_client_dups_ok_acknowledge","dups_ok_acknowledge");
x.t("explicit_client_dups_ok_acknowledge","acknowledgement");
x.t("explicit_client_dups_ok_acknowledge","explicit_client_dups_ok_acknowledge");
x.t("acknowledgements","decreases");
x.t("subscribers","queue");
x.t("putting","information");
x.t("suppresses","acknowledgement");
x.t("behind","message");
x.t("overhead","jms");
x.t("information","regarding");
x.t("information","database");
x.t("received","session");
x.t("received","messages");
x.t("received","message");
x.t("received","far");
x.t("received","server");
x.t("decreases","message");
x.t("consumer-to-server","acknowledgement");
x.t("application","send");
x.t("application","threads");
x.t("specification","defines");
x.t("specification","jms");
x.t("structure","message");
x.t("described","below");
x.t("described","creating");
x.t("simultaneous","inserts");
x.t("client_acknowledge","specifies");
x.t("client_acknowledge","except");
x.t("cases","server");
x.t("utilization","system");
x.t("created","no-acknowledge");
x.t("following","describes");
x.t("system","resources");
x.t("used","create");
x.t("used","receiving");
x.t("except","lazily");
x.t("except","acknowledges");
x.t("individual","message");
x.t("finishes","insert");
x.t("using","mode");
x.t("levels","acknowledgement");
x.t("acknowledge","modes");
x.t("acknowledge","delivery");
x.t("acknowledge","mode");
x.t("acknowledge","messages");
x.t("acknowledge","consumer");
x.t("acknowledge","message");
x.t("therefore","need");
x.t("therefore","allowing");
x.t("insert","explicit_client_acknowledge");
x.t("insert","operation");
x.t("sent","message");
x.t("server","redeliver");
x.t("server","resides");
x.t("server","until");
x.t("server","permitted");
x.t("server","sends");
x.t("server","message");
x.t("server","received");
x.t("server","therefore");
x.t("resources","sessions");
x.t("durable","subscribers");
x.t("specify","no_acknowledge");
x.t("threads","doing");
}
